# Class AppHiddenEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.AppHiddenEvent

All Implemented Interfaces:
  `Serializable`

public final class AppHiddenEvent extends AppEvent
Event sent when the application has been hidden or shown.

Since:
  9
See Also:
  - `AppHiddenListener.appHidden(AppHiddenEvent)`
  - `AppHiddenListener.appUnhidden(AppHiddenEvent)`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppHiddenEvent()`
  Constructs an `AppHiddenEvent`.

- ## Method Summary

  ### Methods declared in class EventObject

  `getSource, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AppHiddenEvent

    public AppHiddenEvent()
    Constructs an `AppHiddenEvent`.
    Throws:
      `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
      `UnsupportedOperationException` - if Desktop API is not supported on the current platform
    See Also:
      - `Desktop.isDesktopSupported()`
      - `GraphicsEnvironment.isHeadless()`